#!/usr/bin/python
#
# Check the output of an rkhunter run for potential problems

import sys
import os.path

if len(sys.argv) > 1:
    logfile = sys.argv[1]
else:
    print "Usage: {} <logfile>".format(os.path.basename(sys.argv[0]))
    sys.exit(1)

warnCount = 0

with open(logfile, "r") as f:
    for line in f:
        if "Running Rootkit Hunter version" in line:
            # More than one run in the logfile, we only want the last one
            warnCount = 0
        elif "Warning:" in line:
            warnCount += 1

if warnCount > 0:
    print "CRITICAL rkhunter found {} problem{}.  See {} for details".format(warnCount, "s" if warnCount > 1 else "", logfile)
    sys.exit(2)
else:
    print "OK rkhunter found no problems"
    sys.exit(0)
